<?php 
session_start();
?>

<html>
<head>
<link rel="stylesheet" type="text/css" href="../validacion.css" />

<title>Validaci&oacute;n</title>
</head>
<body class="validar">
<?php

include ("../../BD/conexion_bd.php");
 
if(!$conexion)
{
	die("error al intentar conectar: " .mysql_error());
}
 
 //conexion realizada

$sql=mysql_query("select Nombre from Administrador where Usuario ='".$_POST['usuario']."'",$conexion);
$total_registros=mysql_num_rows($sql);

if($total_registros!=1)// no se encuentra el usuario
{
	echo "<div id='divtop'></div>";
	echo "<div id='div1'>.</div>";
	echo "<div id='div2'>";
	echo "<p id='usuario'>Usuario no encontrado...</p>";
	echo "<p id='link'><a href='../index.html' >-Regresar-</a></p>";
	
	echo "</div>";
	echo "<div id='div3'></div>";
	mysql_close($conexion);
}
else// si se encuentra el usuario hay que verificar contraseña
{
	while($rowEmp=mysql_fetch_assoc($sql))
	{
		$usuario_admin=$rowEmp['Nombre'];//será el nombre de la variable de sesión
	}
	$sql=mysql_query("select pass from Pass_Admin where Administrador_Usuario ='".$_POST['usuario']."'",$conexion);
	
	while($rowEmp=mysql_fetch_assoc($sql))
	{
		$pass_bd=$rowEmp['pass'];
	}
	mysql_close($conexion);
	if($pass_bd==md5($_POST['password']))//contraseña correcta. SE CREA SESSION Y SE DIRECCIONA A MAIN_PAGE
	{	
		$_SESSION["sesion_administrador"]=$usuario_admin;
		echo "<script >
		window.location=('../../main_page/main_page.php');				
		</script>";	
	}
	else
	{
		//header('Location: ../index.html');
		echo "<script >
		
		alert('Password incorrecto. Por favor 	verifique....');
		window.location=('../index.html');				
		</script>";
	}
		
	
}



 


?>

</body>
</html>